# Cache

## Remove files from the CDN cache

> Purges (clears the CDN cache) for the files specified\
> this will not change files on the origin and if the file is requested again it will be recached

```json
{"openapi":"3.1.1","info":{"title":"api.cdn.i3d.net","version":"ed6131ed-256"},"servers":[{"url":"https://api.cdn.i3d.net/api/"}],"security":[{"OAuth2Application":[]}],"components":{"securitySchemes":{"OAuth2Application":{"type":"oauth2","flows":{"application":{"tokenUrl":"https://id.i3d.net/connect/token"}}}},"schemas":{"model.HTTPMessage":{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"}}},"model.HTTPError":{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"}}},"model.UriList":{"type":"object","properties":{"uris":{"type":"array","items":{"type":"string"}}}}}},"paths":{"/service/{serviceId}/cache/purge":{"post":{"description":"Purges (clears the CDN cache) for the files specified\nthis will not change files on the origin and if the file is requested again it will be recached","tags":["cache"],"summary":"Remove files from the CDN cache","parameters":[{"type":"string","description":"serviceId","name":"serviceId","in":"path","required":true}],"responses":{"202":{"description":"Accepted","content":{"application/json":{"schema":{"$ref":"#/components/schemas/model.HTTPMessage"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/model.HTTPError"}}}},"503":{"description":"Service Unavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/model.HTTPError"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/model.UriList"}}},"description":"array of URIs","required":true}}}}}
```

## Remove all files from the CDN cache

> Purges (clears the CDN cache) for the all files\
> this will not change files on the origin and if the file is requested again it will be recached

```json
{"openapi":"3.1.1","info":{"title":"api.cdn.i3d.net","version":"ed6131ed-256"},"servers":[{"url":"https://api.cdn.i3d.net/api/"}],"security":[{"OAuth2Application":[]}],"components":{"securitySchemes":{"OAuth2Application":{"type":"oauth2","flows":{"application":{"tokenUrl":"https://id.i3d.net/connect/token"}}}},"schemas":{"model.HTTPMessage":{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"}}},"model.HTTPError":{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"}}}}},"paths":{"/service/{serviceId}/cache/purge/all":{"post":{"description":"Purges (clears the CDN cache) for the all files\nthis will not change files on the origin and if the file is requested again it will be recached","tags":["cache"],"summary":"Remove all files from the CDN cache","parameters":[{"type":"string","description":"serviceId","name":"serviceId","in":"path","required":true}],"responses":{"202":{"description":"Accepted","content":{"application/json":{"schema":{"$ref":"#/components/schemas/model.HTTPMessage"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/model.HTTPError"}}}},"503":{"description":"Service Unavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/model.HTTPError"}}}}}}}}}
```

## Force CDN to cache files

> Warms (forces CDN to cache) for the files specified

```json
{"openapi":"3.1.1","info":{"title":"api.cdn.i3d.net","version":"ed6131ed-256"},"servers":[{"url":"https://api.cdn.i3d.net/api/"}],"security":[{"OAuth2Application":[]}],"components":{"securitySchemes":{"OAuth2Application":{"type":"oauth2","flows":{"application":{"tokenUrl":"https://id.i3d.net/connect/token"}}}},"schemas":{"model.HTTPMessage":{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"}}},"model.HTTPError":{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"}}},"model.UriList":{"type":"object","properties":{"uris":{"type":"array","items":{"type":"string"}}}}}},"paths":{"/service/{serviceId}/cache/warm":{"post":{"description":"Warms (forces CDN to cache) for the files specified","tags":["cache"],"summary":"Force CDN to cache files","parameters":[{"type":"string","description":"serviceId","name":"serviceId","in":"path","required":true}],"responses":{"202":{"description":"Accepted","content":{"application/json":{"schema":{"$ref":"#/components/schemas/model.HTTPMessage"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/model.HTTPError"}}}},"503":{"description":"Service Unavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/model.HTTPError"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/model.UriList"}}},"description":"array of URIs","required":true}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.i3d.net/api-references/cdn/cache-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
